Apidog Auth Method API
    • API Key 1
      GET
    • API Key 2
      GET
    • Bearer Token
      GET
    • JWT Bearer
      GET
    • Basic Auth
      GET
    • Digest Auth
      GET
    • OAuth 2.0 1
      GET
    • OAuth 2.0 2
      GET
    • OAuth 2.0 3
      GET
    • OAuth 2.0 4
      GET
    • OAuth 1.0
      GET
    • Hawk
      GET
    • AWS
      GET
    • Keberos
      GET
    • NTLM
      GET
    • Akamai
      GET

      Basic Auth

      Developing
      GET
      /basic-auth

      Request

      Authorization
      Send your HTTP requests with an
      Authorization
      header that contains the word Basic followed by a space and a base64-encoded string username:password
      Example:
      Authorization: Basic *****************

      Responses

      🟢200Success
      application/json
      Body

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET 'https://httpbin.org/anything/basic-auth' \
      --header 'Authorization: Basic <encoded-value>'
      Response Response Example
      {}
      Modified at 2025-07-25 05:44:43
      Previous
      JWT Bearer
      Next
      Digest Auth
      Built with